petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscHeap

A simple class for managing heaps

### Synopsis

    typedef struct _PetscHeap *PetscHeap;

### See Also

PetscHeapCreate(), PetscHeapAdd(), PetscHeapPop(), PetscHeapPeek(), PetscHeapStash(), PetscHeapUnstash(), PetscHeapView(), PetscHeapDestroy()

### Level

intermediate

### Location

include/petscsys.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages